Bug 215191 - news/nzbget Update to 17.1
Summary: news/nzbget Update to 17.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Torsten Zuehlsdorff
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2016-12-10 06:29 UTC by Toxic
Modified: 2016-12-16 12:33 UTC (History)
3 users (show)

See Also:
toxic: maintainer-feedback+


Attachments
Patch to apply to news/nzbget (1.42 KB, patch)
2016-12-10 06:29 UTC, Toxic
no flags Details | Diff
Poudriere build log. (94.33 KB, text/plain)
2016-12-10 06:29 UTC, Toxic
no flags Details
Patch to take news/nzbget from 16.4 to 17.1_1 (1.72 KB, patch)
2016-12-14 18:10 UTC, Toxic
toxic: maintainer-approval+
Details | Diff
Poudriere log, 9.3amd64 (100.67 KB, text/plain)
2016-12-14 18:20 UTC, Toxic
no flags Details
Poudriere log, 10.3 amd64 (94.48 KB, text/plain)
2016-12-14 18:24 UTC, Toxic
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toxic 2016-12-10 06:29:20 UTC
Created attachment 177844 [details]
Patch to apply to news/nzbget

It's notable that upstream has moved to C++14.  Beyond that, there are many changes from 16.x to 17.0 and 17.1.  See: https://github.com/nzbget/nzbget/blob/develop/ChangeLog
Comment 1 Toxic 2016-12-10 06:29:49 UTC
Created attachment 177845 [details]
Poudriere build log.
Comment 2 Bartek Rutkowski freebsd_committer 2016-12-12 10:29:52 UTC
Hi, the build on 9.3 amd64 fails with:

checking for zlib... configure: error: Package requirements (zlib) were not met:

Package zlib was not found in the pkg-config search path.
Perhaps you should add the directory containing `zlib.pc'
to the PKG_CONFIG_PATH environment variable
Package 'zlib', required by 'virtual:world', not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables zlib_CFLAGS
and zlib_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

===>  Script "configure" failed unexpectedly.
Please report the problem to toxic@doobie.com [maintainer] and attach the
"/wrkdirs/usr/ports/news/nzbget/work/nzbget-17.1/config.log" including the
output of the failure of your make command. Also, it might be a good idea to
provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** [do-configure] Error code 1

Stop in /usr/ports/news/nzbget.
Comment 3 Toxic 2016-12-14 17:12:30 UTC
Thanks for catching that.  I haven't been testing on 9.x for a little while, as I've upgraded all of my systems.

The zlib/pkg-config problem turns out to be just the beginning.  It's easily fixed by passing environment variables to the configure script, by adding something like this to Makefile:

CONFIGURE_ENV=	LOCALBASE="${LOCALBASE}" \
		zlib_LIBS="-lz " \
		zlib_CFLAGS=" "


But that just reveals a number of other build failures, that at first glance seem to be related to differences between libc++ and stdlibc++.  I won't have the free time to dig into it for at least a few days.  If someone else is familiar with C++14, stdlibc++ and 9.3, and has the opportunity to take a look, please do.

It might be just a matter of using a GNU compiler/toolchain on 9.3, which will probably be the first thing I try when I next get the opportunity to dig in.

With that said, the EOL of FreeBSD 9 is 17 days away on Dec 31.  I'm inclined to leave 16.4 as the supported Nzbget version through the end of the year, and not have this port committed/updated until it's fair to drop 9.x support.
Comment 4 Toxic 2016-12-14 18:10:03 UTC
Created attachment 177967 [details]
Patch to take news/nzbget from 16.4 to 17.1_1


Patch attached, it supersedes the previously posted one.

This will now build on 9.3 amd64 and 9.3 i386, by forcing GCC 4.9 or later (which is what is supported upstream) and by setting environment variables that allow the configure script to find the system zlib headers without pkgconfig.

I bumped PORTREVISION as well, to avoid any confusion with the previously posted patch.

I'll post my poudriere logs shortly.
Comment 5 Toxic 2016-12-14 18:20:30 UTC
Created attachment 177968 [details]
Poudriere log, 9.3amd64
Comment 6 Toxic 2016-12-14 18:24:19 UTC
Created attachment 177969 [details]
Poudriere log, 10.3 amd64
Comment 7 commit-hook freebsd_committer 2016-12-16 12:31:25 UTC
A commit references this bug:

Author: tz
Date: Fri Dec 16 12:30:34 UTC 2016
New revision: 428673
URL: https://svnweb.freebsd.org/changeset/ports/428673

Log:
  news/nzbget: Update from 16.4 to 17.1

  Changelog: https://github.com/nzbget/nzbget/blob/v17.1/ChangeLog

  PR:           215191
  Submitted by: toxic@doobie.com (maintainer)
  Approved by:  mentors (implicit)

Changes:
  head/news/nzbget/Makefile
  head/news/nzbget/distinfo
  head/news/nzbget/pkg-plist
Comment 8 Torsten Zuehlsdorff freebsd_committer 2016-12-16 12:33:17 UTC
Committed, thanks!

BTW: i removed the PORTREVISION= 1. Since we update to a new version no PORTREVISION is needed!